Name:           perl-Mason-Tidy
Version:        2.57
Release:        23%{?dist}
Summary:        Tidy HTML::Mason/Mason components
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mason-Tidy
Source0:        https://cpan.metacpan.org/authors/id/J/JS/JSWARTZ/Mason-Tidy-%{version}.tar.gz
# Adapt to changes in Perl-Tidy-20180219, bug #1549515, CPAN RT#124604
Patch0:         Mason-Tidy-2.57-Adapt-to-changes-in-Perl-Tidy-20180219.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
# IPC::Run3 not required for tests
BuildRequires:  perl(IPC::System::Simple)
BuildRequires:  perl(Method::Signatures::Simple) >= 1.02
BuildRequires:  perl(Moo) >= 0.0091010
BuildRequires:  perl(Perl::Tidy)
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Class::Most)
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Method::Signatures::Simple) >= 1.02
Requires:       perl(Moo) >= 0.0091010

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Moo\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Method::Signatures::Simple\\)\\s*$

%description
Mason::Tidy is the engine used by masontidy. You can call this API from
your own program instead of executing masontidy.

masontidy tidies Mason 1 and Mason 2 components, using perltidy to format
the Perl code that can be embedded in various places in the component.
masontidy does not (yet) attempt to tidy the HTML or other non-Perl content
in a component.

%prep
%setup -q -n Mason-Tidy-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/masontidy
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/Mason/Tidy/t

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-22
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-19
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-16
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-13
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-10
- Perl 5.28 rebuild

* Tue Feb 27 2018 Petr Pisar <ppisar@redhat.com> - 2.57-9
- Adapt to changes in Perl-Tidy-20180219 (bug #1549515)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-6
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-2
- Exclude test modules

* Thu Nov 26 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-1
- Specfile autogenerated by cpanspec 1.78.
